Bug 1460241 - Openshift-ansible cannot be configured to always upgrade to available docker version
Openshift-ansible cannot be configured to always upgrade to available docker ...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.6.0
Unspecified Linux
low Severity medium
: ---
: 3.9.0
Assigned To: Scott Dodson
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 09:06 EDT by Justin Pierce
Modified: 2017-12-04 14:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Pierce 2017-06-09 09:06:30 EDT
Description of problem:
Online First requires some method of specifying the "latest" yum available docker version be installed by the openshift-ansible. 

We can specify docker_version=1.12.6-30.git97ba2c0.el7 to openshift-ansible, but we need to be able specify docker_version=latest to install whatever is available. 

Version-Release number of selected component (if applicable):
oc v3.6.100
kubernetes v1.6.1+5115d708d7
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://internal.api.free-int.openshift.com:443
openshift v3.6.100
kubernetes v1.6.1+5115d708d7
Comment 1 Scott Dodson 2017-06-26 09:23:59 EDT
I believe we found that if you set docker_version=1.12.6 you'd get the behavior you're describing.

Note You need to log in before you can comment on or make changes to this bug.